### Function

# Gimp file_load

#### Declaration [src]

    GimpImage*
    gimp_file_load (
      GimpRunMode run_mode,
      GFile* file
    )

#### Description [src]

Loads an image file by invoking the right load handler.

This procedure invokes the correct file load handler using magic if possible, and falling back on the file’s extension and/or prefix if not. Note that the loaded image will be marked as clean.

#### Parameters

`run_mode`

  Type: `GimpRunMode`

  The run mode.

`file`

  Type: `GFile`

  The file to load.

  The data is owned by the caller of the function.

#### Return value

Type: `GimpImage`

The output image.

The data is owned by the called function.